#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# tests hang: require server ?

%define		pdir	Authen
%define		pnam	TacacsPlus
%include	/usr/lib/rpm/macros.perl
Summary:	Authen::TacacsPlus - Perl extension module for authentication using tacacs+ server
Summary(pl.UTF-8):	Authen::TacacsPlus - moduł Perla do uwierzytelniania przy pomocy serwera tacacs+
Name:		perl-Authen-TacacsPlus
Version:	0.22
Release:	5
License:	custom, distributable
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/M/MI/MIKEM/Authen-TacacsPlus/Authen-TacacsPlus-%{version}.tar.gz
# Source0-md5:	509f2d176393d80cc2657a9af1424982
URL:		http://search.cpan.org/dist/Authen-TacacsPlus/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Authen::TacacsPlus Perl module allows you to authenticate using
tacacs+ server.

%description -l pl.UTF-8
Moduł Perla Authen::TacacsPlus pozwala na uwierzytelnianie przy pomocy
serwera tacacs+.

%prep
%setup -q -n Authen-TacacsPlus-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Authen/TacacsPlus.pm
%dir %{perl_vendorarch}/auto/Authen/TacacsPlus
%attr(755,root,root) %{perl_vendorarch}/auto/Authen/TacacsPlus/TacacsPlus.so
%{_mandir}/man3/*
%changelog
* Tue Mar 22 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Authen-TacacsPlus.git;a=log;h=master

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8bfc929
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 48e4b18
- x32 rebuild
- release 4 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> da3a5a4
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2b43b80
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e6df480
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Wed Jan 25 2012 zbyniu <zbyniu@pld-linux.org> bfd6f5a
- up to 0.22

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 4ccca31
- up to 0.21

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 309d57a
- rel 6

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 851fa88
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d8062c3
- release 2

* Sat Sep 12 2009 mguevara <mguevara@pld-linux.org> 3362c46
- up to 0.20; changed source URL

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 80ffed7
- release 10

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a3d2536
- rel 9

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 4645750
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ccbd75c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 152ca37
- converted to UTF-8

* Fri May 07 2004 ankry <ankry@pld-linux.org> 6d006ff
- rel. 8

* Thu May 06 2004 ankry <ankry@pld-linux.org> 11e16c8
- fixed perl-devel BR

* Mon Apr 26 2004 ankry <ankry@pld-linux.org> 656f41c
- tests added (but hang: disabled)

* Sat Apr 17 2004 ankry <ankry@pld-linux.org> a9dfecd
- better descriptions/summaries

